<?php
/**
 * WPtap global set page.
 *
 * @package WPtap
 * @subpackage admin
 */
defined('WPTAP_PLUGIN_NAME') or exit('Access Denied');

$themes = wptap_get_themes();
?>

<div class="wptap-setting-content" id="wptap-setting-global">
	<h3>Global Setting</h3>
	<table>
		<tr>
			<td><label for="page_title"><?php _e('Home Page Title:') ?> </label></td>
			<td width="50"></td>
			<td><input type="text" name="sitename" id="sitename" value="<?php if(isset($wptap_setting['name'])) echo $wptap_setting['name']; ?>"></td>
		</tr>
		<tr>
			<td><label for="title_font_color"><?php _e('Title Font Color:') ?></label></td>
			<td></td>
			<td><input type="text" name="header_font_color" id="header-font-color" size="7" value="<?php if(isset($wptap_setting['header_font_color'])) echo $wptap_setting['header_font_color']; ?>" class="setting-color"></td>
		</tr>
		<tr>
			<td><label for="current_theme"><?php _e('Current Theme:') ?></label></td>
			<td></td>
			<td>
				<select name="theme">
				<?php foreach($themes as $theme): ?>
					<option value="<?=$theme?>" <?php if($wptap_setting['theme'] == $theme) echo 'selected'; ?>><?=$theme?></option>
				<?php endforeach; ?>
				</select>
			</td>
		</tr>
		<tr height="40">
			<td><label for="current_site_icon"><?php _e('Current Site Icon:') ?></label></td>
			<td></td>
			<td>
				<img src="<?php echo wptap_get_plugins_uri().'/images/icons/'.$wptap_setting['site_icon'].'.png'; ?>" alt="" id="current-icon">
				<input type="hidden" name="site_icon" id="site-icon" value="<?php echo $wptap_setting['site_icon']; ?>">
			</td>
			<td></td>
			<td></td>
		</tr>
		<tr>
			<td><label for="icon_library"><?php _e('Icon Library:') ?></label></td>
			<td></td>
			<td>
				<table>
					<tr height="40">
				<?php
					$icons = wptap_get_icons();
					$i = 1;
					foreach($icons as $name => $path):
				?>
					<td width="50"><img src="<?php echo $path; ?>" alt="<?php echo $name; ?>" id="icon-<?php echo $name; ?>"></td>
				<?php if($i%7==0): ?>
					</tr><tr height="40">
				<?php endif; ?>
				<?php $i++; endforeach; ?>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<hr>
</div>
