<?php
/**
 * WPtap option.
 *
 * @package WPtap
 * @subpackage admin
 */
defined('WPTAP_PLUGIN_NAME') or exit('Access Denied');

function wptap_options_menu() {
	add_menu_page( __( 'WPtap Plugin', 'WPtap' ), 'WPtap', 8, 'wptap-options', 'wptap_set_page');
	add_submenu_page( 'wptap-options', __('Admin Panel', 'WPtap'), __('Admin Panel', 'WPtap'), 8, 'wptap-options', 'wptap_set_page' );
	wptap_themes_action();
	add_submenu_page( 'wptap-options', __('Themes Management', 'WPtap'), __('Manage Themes', 'WPtap'), 8, 'wptap-themes-manage', 'wptap_themes_manage' );
}

function wptap_themes_action() {
	$current_theme = _wptap_current_theme();

	add_submenu_page( 'wptap-options', __('Theme Features', 'WPtap'), __('Theme Features', 'WPtap'), 8, 'wptap-theme-setting', 'wptap_themes_setting' );
}

function _wptap_current_theme()
{
	$wptap_setting = wptap_get_settings();
	$current_theme = $wptap_setting['theme'];

	return $current_theme;
}

function wptap_set_page()
{
	$wptap_setting = wptap_get_settings();
	$title = __('WPtap Admin Panel (version: '. WPTAP_VERSION .')');
	echo '<div class="wrap">'.screen_icon('wptap').'<h2>' .esc_html( $title ). '</h2>';

	require_once(  WPTAP_HTML_PATH . 'submit.php' );
?>

<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>" id="wptap-form">
<?php
	require_once( WPTAP_HTML_PATH . 'tab.php' );
	require_once( WPTAP_HTML_PATH . 'base_settings.php' );
	require_once( WPTAP_HTML_PATH . 'header_settings.php' );
	require_once( WPTAP_HTML_PATH . 'post_setttings.php' );
	require_once( WPTAP_HTML_PATH . 'ad_settings.php' );
	require_once( WPTAP_HTML_PATH . 'about.php' );
?>
<p><input type="submit" name="submit" value="<?php _e('Save Options', 'Wptap' ); ?>" id="wptap-submit" class="button-primary" /></p>
</form>

<?php
echo '</div>'; }

function wptap_themes_setting()
{
	$current_theme = _wptap_current_theme();

	if(file_exists(WPTAP_THEME_PATH . $current_theme .DS. 'functions.php')) {
		require_once (WPTAP_THEME_PATH . $current_theme .DS. 'functions.php');
	}

	do_action('wptap_theme_setting', $current_theme);
}

function wptap_themes_manage_page()
{
	if(isset($_GET['action'])) {
		$action = $_GET['action'];
		add_action('wptap_'.$action.'_theme', 'wptap_'.$action.'_theme');

		switch($action) {
			case 'remove':
				$arg = isset($_GET['theme']) ? $_GET['theme'] : '';
			break;

			case 'backup':
				$arg = isset($_POST['dosubmit']) ? $_POST['operate_themes'] : array();
			break;
		}

		if(isset($arg)) {
			do_action('wptap_'.$action.'_theme', $arg);
		} else {
			do_action('wptap_'.$action.'_theme');
		}

		unset($_GET['action']);
	}	
}

function wptap_themes_manage()
{
	global $wptap_themes, $wptap_theme_oper_message,$wp_actions;

	$html = '';
	$title = __('Management Themes');

	if(function_exists(__FUNCTION__.'_page')) {
		do_action('wptap_admin_page');
	}

	if(isset($_GET['theme']))
		unset($_GET['theme']);

	echo '<div class="wrap">';
	$html .= screen_icon('wptap');
	$html .= '<h2>' .esc_html( $title ). '</h2>';
	
	if($wptap_theme_oper_message) {
		do_action('wptap_notice', $wptap_theme_oper_message);
	}

	$html .= '<table id="wptap-themes" cellspacing="0" cellpadding="0">';
	$_GET['action'] = 'backup';
	$html .= '<form action="?'.build_query($_GET).'" method="post">';
	$html .= '<tr><th colspan="5"><h4>Installed Themes</h4></th></tr>';
	$html .= '<tr><th></th><th>Name</th><th>Author</th><th>Version</th><th>Operation</th></tr>';
foreach($wptap_themes as $k => $wptap_theme) {
	$html .=	'<tr>';
	$html .=		'<td><input type="checkbox" name="operate_themes[]" value="'.$k.'"></td>';
	$html .=		'<td><a href="'.$wptap_theme['URI'].'">'.$wptap_theme['Name'].'</a></td>';
	$html .=		'<td>'.$wptap_theme['Author'].'</td>';
	$html .=		'<td>'.$wptap_theme['Version'].'</td>';
	$_GET['action'] = 'remove';$_GET['theme'] = $k;
	$html .=		'<td><a href="javascript:confirm(\'The selected theme(s) will be permanently removed.
\')?location.href=\'?'.build_query($_GET).'\':void(0);">Remove</a></td>';
	$html .=	'</tr>';
}
	$html .=	'<tr><td colspan="5" style="text-align:left;"><input type="hidden" name="dosubmit" value="1"><input type="submit" value="Backup" class="button-primary"> <input type="button" alt="media-upload.php?type=zip&keepThis=true&TB_iframe=true&width=400&height=200&scrolling=no" title="Add a new theme" class="button-primary thickbox" value="Add New Theme"></td></tr>';
	$html .= '</form>';
	$html .= '</table>';

	echo $html;
	do_action('wptap_more_theme');
	echo '</div>';
}
?>