<?php
/**
 * @package WPtap
 */
/**
 Plugin Name: WPtap-Mobile Themes/Plugin for WordPress
 Plugin URI: http://www.iphonemofo.net/index.php/wptap/
 Description: A plugin/theme package that converts your wordpress site into a web-application, specially designed for Apple iPhone and Apple iPod touch, or Blackberry touch mobile device. Set options for the theme by visiting the WPtap admin panel.

 Version: 1.1.0
 Author: WPtap Development Team
 Author URI: http://www.iphonemofo.net/
*/

define('WPTAP_PLUGIN_NAME', 'wptap');

if(!defined('WPTAP_PLUGIN_PATH')) {
	define('WPTAP_PLUGIN_PATH', dirname(__FILE__) . DIRECTORY_SEPARATOR);
}

$wptap_plugin_dir_name = 'plugins'; // plugin dir name

require (WPTAP_PLUGIN_PATH . 'loader.php');

if(is_admin()) {
	if(!defined('WPTAP_ADMIN_TRUE')) {
		define('WPTAP_ADMIN_TRUE', true);
	}

	require(WPTAP_PLUGIN_ADMIN_PATH . 'admin.php');
}

add_action('wp_head', 'wptap_switch_css');
add_action('wp_footer', 'wptap_switch');

// Activation of plugin
if(function_exists('register_activation_hook')) {
	register_activation_hook( __FILE__, 'wptap_init' );
}

// Uninstallation of plugin
if(function_exists('register_uninstall_hook')) {
	register_uninstall_hook(__FILE__, 'wptap_uninstall');
}
?>